"use strict";
// Find and export all benchmarks in this directory (recursively)
const benchmarkContext = require.context('.', true, /\.js$/);
const benchmarks = benchmarkContext
    .keys()
    .filter(path => !/(^|[\\/])index\.js$/.test(path))
    .map(path => benchmarkContext(path))
    .map(exports => exports.default);
module.exports = benchmarks;
