"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const unexpected_1 = tslib_1.__importDefault(require("unexpected"));
const src_1 = require("../src");
class ReadWithEmptyCache extends src_1.Benchmark {
    async run() {
        this.result = await this.client.read(this.example);
    }
    async verify() {
        unexpected_1.default(this.result, 'to be', null);
    }
}
ReadWithEmptyCache.metadata = {
    title: `read (empty cache)`,
};
exports.default = ReadWithEmptyCache;
