"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const unexpected_1 = tslib_1.__importDefault(require("unexpected"));
const src_1 = require("../src");
class WriteNoObserversEmptyCache extends src_1.Benchmark {
    async run() {
        await this.client.write(this.example);
    }
    async verify() {
        const result = await this.client.read(this.example);
        unexpected_1.default(result.data, 'to satisfy', this.example.response);
    }
}
WriteNoObserversEmptyCache.metadata = {
    title: `write (no observers, empty cache)`,
};
exports.default = WriteNoObserversEmptyCache;
