"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const unexpected_1 = tslib_1.__importDefault(require("unexpected"));
const src_1 = require("../src");
class ReadWithCompleteCache extends src_1.Benchmark {
    async setup() {
        await this.client.write(this.example);
    }
    async run() {
        this.result = await this.client.read(this.example);
    }
    async verify() {
        unexpected_1.default(this.result.data, 'to satisfy', this.example.response);
    }
}
ReadWithCompleteCache.metadata = {
    title: `read (fully cached, identical query written)`,
};
exports.default = ReadWithCompleteCache;
