"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Event;
(function (Event) {
    let Subject;
    (function (Subject) {
        Subject["SUITE"] = "suite";
        Subject["BENCHMARK"] = "benchmark";
        Subject["CLIENT_BENCHMARK"] = "client_benchmark";
        Subject["CLIENT_BENCHMARK_PHASE"] = "client_benchmark_phase";
    })(Subject = Event.Subject || (Event.Subject = {}));
    let Type;
    (function (Type) {
        Type["START"] = "start";
        Type["END"] = "end";
    })(Type = Event.Type || (Event.Type = {}));
    // Specific to client benchmarks.
    let Phase;
    (function (Phase) {
        Phase["VERIFY"] = "verify";
        Phase["WARMUP"] = "warmup";
        Phase["ITERATION"] = "iteration";
    })(Phase = Event.Phase || (Event.Phase = {}));
})(Event = exports.Event || (exports.Event = {}));
