"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const console_1 = require("./reporters/console"); // eslint-disable-line import/no-internal-modules
exports.consoleReporter = console_1.consoleReporter;
const environment_1 = require("./environment");
environment_1.polyfillEnvironment();
tslib_1.__exportStar(require("./Benchmark"), exports);
tslib_1.__exportStar(require("./Client"), exports);
tslib_1.__exportStar(require("./environment"), exports);
tslib_1.__exportStar(require("./execution"), exports);
tslib_1.__exportStar(require("./partial"), exports);
function loadBenchmarks() {
    return require('../benchmarks'); // eslint-disable-line global-require
}
exports.loadBenchmarks = loadBenchmarks;
function loadClients() {
    return require('../clients'); // eslint-disable-line global-require
}
exports.loadClients = loadClients;
function loadExamples() {
    return require('../examples'); // eslint-disable-line global-require
}
exports.loadExamples = loadExamples;
