#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ink_1 = require("ink");
const environment_1 = require("../../environment");
// So that we can load examples, benchmarks, etc.
environment_1.polyfillEnvironment();
// So that we can compile all JSX logic for Ink, and for React, with the same
// TypeScript configuration.
global.React = { createElement: ink_1.h };
// Aaaaand go (lazily).
require('./main')
    .main()
    .catch(error => process.stderr.write(error.stack));
