"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable no-console */
const Event_1 = require("../../Event");
const { Subject, Type } = Event_1.Event;
function consoleReporter(event) {
    if (event.subject === Subject.SUITE && event.type === Type.START) {
        console.log(`Starting Benchmark Suite`);
        console.log();
    }
    else if (event.subject === Subject.BENCHMARK && event.type === Type.START) {
        console.log(`Benchmark: ${event.benchmark.title}`);
    }
    else if (event.subject === Subject.CLIENT_BENCHMARK && event.type === Type.END) {
        console.log(`  ${event.client.name}:`, event.stats, event.failure);
    }
    else if (event.subject === Subject.BENCHMARK && event.type === Type.END) {
        console.log();
    }
    else if (event.subject === Subject.SUITE && event.type === Type.END) {
        console.log(`Benchmark Suite Complete`);
    }
}
exports.consoleReporter = consoleReporter;
/* eslint-enable no-console */
